View Issue Details

IDProjectCategoryView StatusLast Update
0001580ScribusImport / Exportpublic2005-06-29 08:25
Reportereludias Assigned Tofschmid  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformGentooOSLinuxOS Version2.6.10-something
Product Version1.2.2cvs 
Target VersionFixed in Version1.2.2cvs 
Summary0001580: Importing a by inkscape exported .svg results in bad rotations, missing gradients, missing arrows, translated objects, ...
DescriptionImporting a .svgz exported by inkscape after having the outlines converted,
doesn't correspond to the original.

To be fair, I compared the result with adobe's svg plugin.

- rotations don't match
- arrow is missing (also in adobe)
- objects are translated, like the arrow
- objects are even translated outside the image, like the red
  circle, the eyes, ...
- gradient is missing in 20050506 (also in adobe)
Steps To ReproduceImport in scribus and compare to import in inkscape.
TagsNo tags attached.
Patch

Relationships

child of 0002931 acknowledged Metabug: SVG 

Activities

2005-01-23 18:26

 

bug_outline.svgz (81,209 bytes)

plinnell

2005-01-24 23:22

viewer   ~0003537

Tested with export plain SVG from Inkscape 0.40, as well as viewing in Batik. Primary issue is rotation, even after converting fonts to outlines.

plinnell

2005-02-20 11:44

viewer   ~0003769

issue is same in 1.2.2cvs amnd 1.3.0cvs

plinnell

2005-06-29 08:25

viewer   ~0005208

Tested 1.2.2cvs and 1.3.0cvs, both are fixed and even look better than in Batik :)

Issue History

Date Modified Username Field Change
2005-01-23 18:26 eludias New Issue
2005-01-23 18:26 eludias File Added: bug_outline.svgz
2005-01-24 23:22 plinnell Note Added: 0003537
2005-01-24 23:22 plinnell Assigned To => fschmid
2005-01-24 23:22 plinnell Status new => assigned
2005-02-20 11:44 plinnell Note Added: 0003769
2005-04-07 19:01 plinnell Product Version 1.2.1 => 1.2.2cvs
2005-06-28 21:20 fschmid Status assigned => resolved
2005-06-28 21:20 fschmid Fixed in Version => 1.2.2cvs
2005-06-28 21:20 fschmid Resolution open => fixed
2005-06-29 08:25 plinnell Note Added: 0005208
2005-06-29 08:25 plinnell Status resolved => closed
2006-05-17 19:23 christoph_s Relationship added child of 0002931